(ns ldview.models.db
  (:use korma.core
        [korma.db :only (defdb)])
  (:require [ldview.models.schema :as schema]))

(defdb db schema/db-spec)

(declare entities contests users sources)

(defentity entries
  (belongs-to contests)
  (belongs-to users)
  (has-many sources))

(defentity contests
  (has-many entries))

(defentity users
  (has-many entities))

(defentity sources
  (belongs-to entities))




; (defn create-entry [entry]
;   (insert entries
;           (values entry)))
; 
; (defn update-entry [id id_uid title description user_id contest_id]
;   (update entries
;   (set-fields {:first_name first-name
;                :last_name last-name
;                :email email})
;   (where {:id id})))
; 
; (defn get-user [id]
;   (first (select users
;                  (where {:id id})
;                  (limit 1))))
